<script setup>
	import { onBeforeMount,ref } from 'vue'
	import axios from 'axios'

	const API_ALL_AMIIBO = 'https://www.amiiboapi.com/api/amiibo/'
	const amiibos = ref([])
	const isDataLoading = ref(true)
 
	onBeforeMount(async ()=>{
		console.log('ON BEFORE MOUNT')
		const allResults = await axios.get(API_ALL_AMIIBO)
		const {data,status} = allResults // object destructuring FTW!

		if(status===200){
			isDataLoading.value=false
		}
		
		amiibos.value = data.amiibo
		console.log(data.amiibo)
	})
</script>

<template>
	<div id="page-wrapper">
  		<section id="main">
    		<div class="container">
				<div v-if="isDataLoading">Chargement...</div>
        		<article v-else class="box post">
					<header>
						<h2>Ma Collection</h2>
						<p v-if="!isDataLoading">{{ amiibos.length }} résultats</p>
					</header>
					<p>
						<table>
							<tr>
								<th>Character</th>
								<th>game Series</th>
								<th>Action</th>
							</tr>
							<tr v-for="amiibo in amiibos" :key="amiibo.tail">
								<td>{{ amiibo.character }}</td>
								<td>{{ amiibo.gameSeries }}</td>
								<td>
									<RouterLink class="button" :to="{name:'amiiboDetails',params:{amiiboId:amiibo.tail}}">Voir</RouterLink>
								</td>
							</tr>
						</table>
					</p>
				</article>
			</div>
		</section>
	</div>
</template>

<style>

</style>
